Unit Main;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

Type
  TfmMain = Class(TForm)
    Memo:     TMemo;
    btOk:     TButton;
    btCancel: TButton;
    lTitle:   TLabel;
    Procedure btOkClick(Sender: TObject);
    Procedure btCancelClick(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure FormShow(Sender: TObject);
  Private
    { Dclarations prives }
  Public
    { Dclarations publiques }
  End;

Var
  fmMain: TfmMain;

Implementation

{$R *.dfm}

Function ConsoleString(Const Chaine: String): String;
Begin
  SetLength(Result, Length(Chaine));
  CharToOem(PChar(Chaine), PChar(Result));
End;

Procedure TfmMain.btCancelClick(Sender: TObject);
Begin
  Halt(2);
End;

Procedure TfmMain.btOkClick(Sender: TObject);
Begin
  Write(ConsoleString(Memo.Text));
{$IFNDEF DEBUG}
  Close;
{$ENDIF}
End;

Procedure TfmMain.FormCreate(Sender: TObject);
Begin
  If ParamCount > 0 Then
    lTitle.Caption := ParamStr(1);
  If ParamCount > 1 Then
    Memo.Text := ParamStr(2);
End;

Procedure TfmMain.FormShow(Sender: TObject);
Begin
  ShowWindow(Handle, SW_SHOW);
End;

End.

